# BaseCursor
`toloka.streaming.cursor.BaseCursor` | [Source code](https://github.com/Toloka/toloka-kit/blob/v0.1.26/src/streaming/cursor.py#L77)

```python
BaseCursor(
    self,
    toloka_client: Union[TolokaClient, AsyncTolokaClient],
    request: BaseSearchRequest
)
```

## Methods Summary

| Method | Description |
| :------| :-----------|
[inject](toloka.streaming.cursor.BaseCursor.inject.md)| None
[try_fetch_all](toloka.streaming.cursor.BaseCursor.try_fetch_all.md)| None
